import request from '@/utils/request'

// 查询子任务管理列表
export function listSubtask(query) {
  return request({
    url: '/graph/subtask/list',
    method: 'get',
    params: query
  })
}

// 查询子任务管理详细
export function getSubtask(id) {
  return request({
    url: '/graph/subtask/' + id,
    method: 'get'
  })
}

// 新增子任务管理
export function addSubtask(data) {
  return request({
    url: '/graph/subtask',
    method: 'post',
    data: data
  })
}

// 修改子任务管理
export function updateSubtask(data) {
  return request({
    url: '/graph/subtask',
    method: 'put',
    data: data
  })
}

// 删除子任务管理
export function delSubtask(id) {
  return request({
    url: '/graph/subtask/' + id,
    method: 'delete'
  })
}
